-- NAV TECHDAYS 2014 - Alain Krikilion

-- IMPORTANT : PLEASE MAKE SURE SUBDIR "C:\NAVTECHDAYS2014\BACKUP_RESTORE\" exists


USE [master]
GO

CREATE DATABASE [BACKUP_RESTORE]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'BACKUP_RESTORE_Data', FILENAME = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_data.mdf' , SIZE = 10MB , MAXSIZE = UNLIMITED, FILEGROWTH = 1MB )
 LOG ON 
( NAME = N'BACKUP_RESTORE_Log', FILENAME = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_log.ldf' , SIZE = 10MB , MAXSIZE = 100MB , FILEGROWTH = 1MB)
GO

ALTER DATABASE [BACKUP_RESTORE] SET RECOVERY FULL
GO

USE [BACKUP_RESTORE]
GO

CREATE TABLE SomeTable (ID INT IDENTITY, txt1 CHAR(100),txt2 CHAR(100))
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

BACKUP DATABASE [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_10000_FULL.BAK' 
  WITH NOFORMAT, NOINIT,  NAME = N'10000_BACKUP_RESTORE-Full Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP DATABASE [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_10001_FULL_COPY_ONLY.bak' 
  WITH  COPY_ONLY, NOFORMAT, NOINIT,  NAME = N'10001_BACKUP_RESTORE-FULL COPY_ONLY Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP LOG [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_10100_TL.trn' 
  WITH NOFORMAT, NOINIT,  NAME = N'10100_BACKUP_RESTORE-TL Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP DATABASE [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_10101_FULL_COPY_ONLY.bak' 
  WITH  COPY_ONLY, NOFORMAT, NOINIT,  NAME = N'10101_BACKUP_RESTORE-FULL COPY_ONLY Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP LOG [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_10200_TL.trn' 
  WITH NOFORMAT, NOINIT,  NAME = N'10200_BACKUP_RESTORE-TL Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP DATABASE [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_11000_DIFF.bak' 
  WITH  DIFFERENTIAL , NOFORMAT, NOINIT,  NAME = N'11000_BACKUP_RESTORE-Diff Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

BACKUP DATABASE [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_11001_FULL_COPY_ONLY.bak' 
  WITH  COPY_ONLY, NOFORMAT, NOINIT,  NAME = N'11001_BACKUP_RESTORE-FULL COPY_ONLY Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP LOG [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_11100_TL.trn' 
  WITH NOFORMAT, NOINIT,  NAME = N'11100_BACKUP_RESTORE-TL Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP LOG [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_11200_TL.trn' 
  WITH NOFORMAT, NOINIT,  NAME = N'11200_BACKUP_RESTORE-TL Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP DATABASE [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_11201_FULL_COPY_ONLY.bak' 
  WITH  COPY_ONLY, NOFORMAT, NOINIT,  NAME = N'11201_BACKUP_RESTORE-FULL COPY_ONLY Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP DATABASE [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_12000_DIFF.bak' 
  WITH  DIFFERENTIAL , NOFORMAT, NOINIT,  NAME = N'12000_BACKUP_RESTORE-Diff Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP LOG [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_12100_TL.trn' 
  WITH NOFORMAT, NOINIT,  NAME = N'12100_BACKUP_RESTORE-TL Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP LOG [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_12200_TL.trn' 
  WITH NOFORMAT, NOINIT,  NAME = N'12200_BACKUP_RESTORE-TL Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP DATABASE [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_12201_FULL_COPY_ONLY.bak' 
  WITH  COPY_ONLY, NOFORMAT, NOINIT,  NAME = N'12201_BACKUP_RESTORE-FULL COPY_ONLY Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP DATABASE [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_20000_FULL.BAK' 
  WITH NOFORMAT, NOINIT,  NAME = N'20000_BACKUP_RESTORE-Full Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP LOG [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_20100_TL.trn' 
  WITH NOFORMAT, NOINIT,  NAME = N'20100_BACKUP_RESTORE-TL Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP LOG [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_20200_TL.trn' 
  WITH NOFORMAT, NOINIT,  NAME = N'20200_BACKUP_RESTORE-TL Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP DATABASE [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_21000_DIFF.bak' 
  WITH  DIFFERENTIAL , NOFORMAT, NOINIT,  NAME = N'21000_BACKUP_RESTORE-Diff Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP DATABASE [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_21001_FULL_COPY_ONLY.bak' 
  WITH  COPY_ONLY, NOFORMAT, NOINIT,  NAME = N'21001_BACKUP_RESTORE-FULL COPY_ONLY Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP LOG [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_21100_TL.trn' 
  WITH NOFORMAT, NOINIT,  NAME = N'21100_BACKUP_RESTORE-TL Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP LOG [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_21200_TL.trn' 
  WITH NOFORMAT, NOINIT,  NAME = N'21200_BACKUP_RESTORE-TL Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP DATABASE [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_21201_FULL_COPY_ONLY.bak' 
  WITH  COPY_ONLY, NOFORMAT, NOINIT,  NAME = N'21201_BACKUP_RESTORE-FULL COPY_ONLY Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP DATABASE [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_22000_DIFF.bak' 
  WITH  DIFFERENTIAL , NOFORMAT, NOINIT,  NAME = N'22000_BACKUP_RESTORE-Diff Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP LOG [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_22100_TL.trn' 
  WITH NOFORMAT, NOINIT,  NAME = N'22100_BACKUP_RESTORE-TL Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO

WAITFOR DELAY '00:01:00';

BACKUP LOG [BACKUP_RESTORE] 
  TO  DISK = N'C:\NAVTECHDAYS2014\BACKUP_RESTORE\BACKUP_RESTORE_22200_TL.trn' 
  WITH NOFORMAT, NOINIT,  NAME = N'22200_BACKUP_RESTORE-TL Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

INSERT INTO SomeTable (txt1,txt2) VALUES ('NAVTECHDAYS2014','I love NAV & SQL');
GO
