-- NAV TECHDAYS 2014 - Alain Krikilion

-- backup/restore history information
-- http://www.sqlservercentral.com/scripts/SQL/68117/

DECLARE @DBNAME VARCHAR(100)
SET @DBNAME = 'BACKUP_RESTORE'
  -- Default NULL(All Databses)
SELECT  'BackUp Name' = BS.name ,
        'User Name' = BS.user_name ,
        'Start Date' = BS.backup_start_date ,
        'Finish Date' = BS.backup_finish_date ,
        'Backup Type' = CASE WHEN BS.type = 'D' THEN 'FULL Backup'
                             WHEN BS.type = 'L' THEN 'Transaction Log Backup'
                             WHEN BS.type = 'I' THEN 'Differential Backup'
                        END ,
        'Backup Size MB' = FLOOR(( ( BS.backup_size / 1024 ) / 1024 )) ,
        'DbName' = BS.database_name ,
        'Server Name' = BS.server_name ,
        MF.physical_device_name ,
        'IS Ever Restored' = CASE WHEN BS.backup_set_id IN (
                                       SELECT backup_set_id
                                       FROM   msdb.dbo.restorehistory )
                                  THEN 'Yes'
                                  ELSE 'No'
                             END ,
        'Destination Db' = ISNULL(RH.destination_database_name,
                                  'Yet Not Restored From This BackUpSet') ,
        'Restore Path' = ISNULL(MIN(RF.destination_phys_name),
                                'Yet Not Restored From This BackUpSet') ,
        'restore Type' = ISNULL(CASE WHEN RH.restore_type = 'D'
                                     THEN 'Database'
                                     WHEN RH.restore_type = 'F' THEN 'File'
                                     WHEN RH.restore_type = 'G'
                                     THEN 'Filegroup'
                                     WHEN RH.restore_type = 'I'
                                     THEN 'Differential'
                                     WHEN RH.restore_type = 'L' THEN 'Log'
                                     WHEN RH.restore_type = 'V'
                                     THEN 'Verifyonly'
                                     WHEN RH.restore_type = 'R' THEN 'Revert'
                                     ELSE RH.restore_type
                                END, 'Yet Not') ,
        Rh.restore_date ,
        'Restore By' = ISNULL(RH.user_name, 'No One') ,
        'Time Taken' = CAST(DATEDIFF(ss, BS.backup_start_date,
                                     BS.backup_finish_date) / 3600 AS VARCHAR(10))
        + ' Hours, '
        + CAST(DATEDIFF(ss, BS.backup_start_date, BS.backup_finish_date) / 60 AS VARCHAR(10))
        + ' Minutes, '
        + CAST(DATEDIFF(ss, BS.backup_start_date, BS.backup_finish_date) % 60 AS VARCHAR(10))
        + ' Seconds'
FROM    msdb..backupset BS
        JOIN msdb..backupmediafamily MF ON BS.media_set_id = MF.media_set_id
        LEFT OUTER JOIN msdb..restorehistory RH ON BS.backup_set_id = RH.backup_set_id
        LEFT OUTER JOIN msdb..restorefile RF ON RF.restore_history_id = Rh.restore_history_id
WHERE   BS.database_name = ISNULL(@DBNAME, BS.database_name)
GROUP BY BS.name ,
        BS.user_name ,
        BS.backup_start_date ,
        BS.backup_finish_date ,
        BS.TYPE ,
        BS.backup_size ,
        BS.database_name ,
        BS.server_name ,
        MF.physical_device_name ,
        BS.backup_set_id ,
        RH.destination_database_name ,
        RH.restore_type ,
        Rh.restore_date ,
        RH.user_name
ORDER BY BS.server_name ,
         BS.database_name ,
         BS.backup_start_date